/*
 * HermodException.java
 *
 * Created on February 6, 2003, 10:23 AM
 */
/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU GPL (General Public License) as published
 * by the Free Software Fondation:
 * http://www.gnu.org/copyleft/gpl.html
 */

package com.hbaastrup.hermod;
import java.io.*;

/**
 *
 * @author  Henrik Baastrup (c) Feb 2003
 */
public class HermodException extends Exception
{
    String exceptionStr = null;
    
    public HermodException()
    {
    }//HermodException
    
    public HermodException(String s)
    {
        exceptionStr = s;
    }//HermodException
    
    
    public Throwable fillInStackTrace()
    {
        return super.fillInStackTrace();
    }

    public String getMessage()
    {
        return exceptionStr;
    }

    public String getLocalizedMessage()
    {
        return exceptionStr;
    }
    
    public void printStackTrace()
    {
        System.out.println(exceptionStr);
        super.printStackTrace();
    }
    
    public void printStackTrace(PrintStream s)
    {
        s.println(exceptionStr);
        super.printStackTrace(s);
    }
    
    public void printStackTrace(PrintWriter s)
    {
        s.println(exceptionStr);
        super.printStackTrace(s);
    }
    
    public String toString()
    {
        return exceptionStr;
    }
}//HermodException
