/***************************************************************************
                          TestMain.cpp  -  description
                             -------------------
    begin                : Tue May 14 2002
    copyright            : (C) 2002 by Henrik Baastrup
    email                : hba@libero.it
    home page            : http://digilander.iol.it/hba/Linux/index.html
 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU LGPL (Lesser general Public License) 
 *   as published by the Free Software Foundation:
 *   http://www.gnu.org/copyleft/lesser.html or in the file copying.txt
 *
 ***************************************************************************/

#include "PerCommConnection.h"

int main(int argc, char *argv[])
{
	PerCommConnection testComm;
	ConnectionId connId;
	char *value;
	int rVal;

	strcpy(HllapiFileName,"C:\\Program Files\\Personal Communications\\EHLAPI32.dll");
	strcpy(PcsapiFileName,"C:\\Program Files\\Personal Communications\\pcsapi32.dll");

	connId.sessionName = 'A';
	strcpy(connId.wsProfileFileName, "C:\\Program Files\\Personal Communications\\private\\isti.WS");
	strcpy(connId.scriptsFileName, "C:\\Projects\\hermod\\config.xml");
	*connId.emulCommand ='\0';
	connId.timeOutSec = 30;

	testComm.parseScriptFile(connId.scriptsFileName);
	value = testComm.getVariable("connect","user");
	rVal = testComm.setVariable("connect","user","CS4AA06");
	value = testComm.getVariable("connect","user");
	rVal = testComm.setVariable("connect","password","abcde01");
	value = testComm.getVariable("connect","password");

	rVal = testComm.init();
	rVal = testComm.openConnection(&connId);

	if ((value=testComm.getVariable("rs17-connect","rs-17-input"))==NULL) {
		printf("rs-17-input is NULL\n");
		return 1;
	}
	printf("Send: %s\n",value);
	rVal = testComm.doScriptCommand("rs17-connect");
	if ((value=testComm.getVariable("rs17-connect","rs-17-output"))==NULL) printf("Recived NULL\n");
	else printf("Recived: %s\n",value);
	rVal = testComm.doScriptCommand("rs17-disconnect");

	testComm.setDisconnectCloseTerminalWindow();
	rVal = testComm.closeConnection(&connId);
	return 0;
}//main
